Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(237)

Side by Side Diff: bison/src/bison/2.4.1/bison-2.4.1/runtime-po/Makefile

Issue 10807020: Add native Windows binary for bison. (Closed) Base URL: svn://chrome-svn/chrome/trunk/deps/third_party/
Patch Set: Created 8 years, 5 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch | Annotate | Revision Log
Property Changes:
Added: svn:eol-style
+ LF
OLDNEW
(Empty)
1 # -*- buffer-read-only: t -*- vi: set ro:
2 # DO NOT EDIT! GENERATED AUTOMATICALLY!
3 # Makefile for PO directory in any package using GNU gettext.
4 # Copyright (C) 1995-1997, 2000-2006 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
5 #
6 # This file can be copied and used freely without restrictions. It can
7 # be used in projects which are not available under the GNU General Public
8 # License but which still want to provide support for the GNU gettext
9 # functionality.
10 # Please note that the actual code of GNU gettext is covered by the GNU
11 # General Public License and is *not* in the public domain.
12 #
13 # Origin: gettext-0.15
14
15 PACKAGE = bison
16 VERSION = 2.4.1
17 PACKAGE_BUGREPORT = bug-bison@gnu.org
18
19 SHELL = /bin/sh
20
21
22 srcdir = ../../bison-2.4.1-src/runtime-po
23 top_srcdir = ../../bison-2.4.1-src
24 VPATH = ../../bison-2.4.1-src/runtime-po
25
26 prefix = c:/progra~1/bison
27 exec_prefix = ${prefix}
28 datarootdir = ${prefix}/share
29 datadir = ${datarootdir}
30 localedir = ${datarootdir}/locale
31 gettextsrcdir = $(datadir)/gettext/po
32
33 INSTALL = /bin/install.exe -cp
34 INSTALL_DATA = /bin/install.exe -cp
35 mkinstalldirs = $(SHELL) $(SHELL) /cygdrive/j/Devel/bison/2.4.1/bison-2.4.1-src/ build-aux/install-sh -d
36 mkdir_p = /usr/bin/mkdir -p
37
38 GMSGFMT_ = /usr/bin/msgfmt
39 GMSGFMT_no = /usr/bin/msgfmt
40 GMSGFMT_yes = /usr/bin/msgfmt
41 GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
42 MSGFMT_ = /usr/bin/msgfmt
43 MSGFMT_no = /usr/bin/msgfmt
44 MSGFMT_yes = /usr/bin/msgfmt
45 MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
46 XGETTEXT_ = /usr/bin/xgettext
47 XGETTEXT_no = /usr/bin/xgettext
48 XGETTEXT_yes = /usr/bin/xgettext
49 XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
50 MSGMERGE = msgmerge
51 MSGMERGE_UPDATE = /usr/bin/msgmerge --update
52 MSGINIT = msginit
53 MSGCONV = msgconv
54 MSGFILTER = msgfilter
55
56 POFILES = $(srcdir)/da.po $(srcdir)/de.po $(srcdir)/el.po $(srcdir)/es.po $(src dir)/et.po $(srcdir)/fi.po $(srcdir)/fr.po $(srcdir)/ga.po $(srcdir)/hr.po $(src dir)/id.po $(srcdir)/it.po $(srcdir)/ja.po $(srcdir)/ky.po $(srcdir)/lt.po $(src dir)/ms.po $(srcdir)/nb.po $(srcdir)/nl.po $(srcdir)/pl.po $(srcdir)/pt_BR.po $( srcdir)/ro.po $(srcdir)/ru.po $(srcdir)/sl.po $(srcdir)/sv.po $(srcdir)/th.po $( srcdir)/tr.po $(srcdir)/uk.po $(srcdir)/vi.po $(srcdir)/zh_CN.po $(srcdir)/zh_TW .po
57 GMOFILES = $(srcdir)/da.gmo $(srcdir)/de.gmo $(srcdir)/el.gmo $(srcdir)/es.gmo $(srcdir)/et.gmo $(srcdir)/fi.gmo $(srcdir)/fr.gmo $(srcdir)/ga.gmo $(srcdir)/hr .gmo $(srcdir)/id.gmo $(srcdir)/it.gmo $(srcdir)/ja.gmo $(srcdir)/ky.gmo $(srcdi r)/lt.gmo $(srcdir)/ms.gmo $(srcdir)/nb.gmo $(srcdir)/nl.gmo $(srcdir)/pl.gmo $( srcdir)/pt_BR.gmo $(srcdir)/ro.gmo $(srcdir)/ru.gmo $(srcdir)/sl.gmo $(srcdir)/s v.gmo $(srcdir)/th.gmo $(srcdir)/tr.gmo $(srcdir)/uk.gmo $(srcdir)/vi.gmo $(srcd ir)/zh_CN.gmo $(srcdir)/zh_TW.gmo
58 UPDATEPOFILES = da.po-update de.po-update el.po-update es.po-update et.po-updat e fi.po-update fr.po-update ga.po-update hr.po-update id.po-update it.po-update ja.po-update ky.po-update lt.po-update ms.po-update nb.po-update nl.po-update pl .po-update pt_BR.po-update ro.po-update ru.po-update sl.po-update sv.po-update t h.po-update tr.po-update uk.po-update vi.po-update zh_CN.po-update zh_TW.po-upda te
59 DUMMYPOFILES = da.nop de.nop el.nop es.nop et.nop fi.nop fr.nop ga.nop hr.nop i d.nop it.nop ja.nop ky.nop lt.nop ms.nop nb.nop nl.nop pl.nop pt_BR.nop ro.nop r u.nop sl.nop sv.nop th.nop tr.nop uk.nop vi.nop zh_CN.nop zh_TW.nop
60 DISTFILES.common = Makefile.in.in remove-potcdate.sin \
61 $(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
62 DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
63 $(POFILES) $(GMOFILES) \
64 $(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
65
66 POTFILES = \
67 ../../bison-2.4.1-src/data/glr.c \
68 ../../bison-2.4.1-src/data/lalr1.cc \
69 ../../bison-2.4.1-src/data/yacc.c
70
71 CATALOGS = da.gmo de.gmo el.gmo es.gmo et.gmo fi.gmo fr.gmo ga.gmo hr.gmo id.gm o it.gmo ja.gmo ky.gmo lt.gmo ms.gmo nb.gmo nl.gmo pl.gmo pt_BR.gmo ro.gmo ru.gm o sl.gmo sv.gmo th.gmo tr.gmo uk.gmo vi.gmo zh_CN.gmo zh_TW.gmo
72
73 # Makevars gets inserted here. (Don't remove this line!)
74 # -*- buffer-read-only: t -*- vi: set ro:
75 # DO NOT EDIT! GENERATED AUTOMATICALLY!
76 # Makefile variables for PO directory in any package using GNU gettext.
77
78 # Usually the message domain is the same as the package name.
79 DOMAIN = bison-runtime
80
81 # These two variables depend on the location of this directory.
82 subdir = runtime-po
83 top_builddir = ..
84
85 # These options get passed to xgettext.
86 XGETTEXT_OPTIONS = --keyword=_ --keyword=N_ \
87 \
88 --flag=_:1:pass-c-format\
89 --flag=N_:1:pass-c-format\
90 --flag=error:3:c-format --flag=error_at_line:5:c-format\
91 \
92 --from-code=UTF-8\
93 --flag=asprintf:2:c-format\
94 --flag=complain:1:c-format --flag=complain_at:2:c-format\
95 --flag=fatal:1:c-format --flag=fatal_at:2:c-format\
96 --flag=warn:1:c-format --flag=warn_at:2:c-format\
97 --flag=unexpected_end:2:c-format\
98 \
99 --keyword=YY_ \
100 $${end_of_xgettext_options+}
101
102 # This is the copyright holder that gets inserted into the header of the
103 # $(DOMAIN).pot file. Set this to the copyright holder of the surrounding
104 # package. (Note that the msgstr strings, extracted from the package's
105 # sources, belong to the copyright holder of the package.) Translators are
106 # expected to transfer the copyright for their translations to this person
107 # or entity, or to disclaim their copyright. The empty string stands for
108 # the public domain; in this case the translators are expected to disclaim
109 # their copyright.
110 COPYRIGHT_HOLDER = Free Software Foundation, Inc.
111
112 # This is the email address or URL to which the translators shall report
113 # bugs in the untranslated strings:
114 # - Strings which are not entire sentences, see the maintainer guidelines
115 # in the GNU gettext documentation, section 'Preparing Strings'.
116 # - Strings which use unclear terms or require additional context to be
117 # understood.
118 # - Strings which make invalid assumptions about notation of date, time or
119 # money.
120 # - Pluralisation problems.
121 # - Incorrect English spelling.
122 # - Incorrect formatting.
123 # It can be your email address, or a mailing list address where translators
124 # can write to without being subscribed, or the URL of a web page through
125 # which the translators can contact you.
126 MSGID_BUGS_ADDRESS = bug-bison@gnu.org
127
128 # This is the list of locale categories, beyond LC_MESSAGES, for which the
129 # message catalogs shall be used. It is usually empty.
130 EXTRA_LOCALE_CATEGORIES =
131
132 .SUFFIXES:
133 .SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
134
135 .po.mo:
136 @echo "$(MSGFMT) -c -o $@ $<"; \
137 $(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
138
139 .po.gmo:
140 @lang=`echo $* | sed -e 's,.*/,,'`; \
141 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
142 echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o $${la ng}.gmo $${lang}.po"; \
143 cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o t-$$ {lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
144
145 .sin.sed:
146 sed -e '/^#/d' $< > t-$@
147 mv t-$@ $@
148
149
150 all: all-yes
151
152 all-yes: stamp-po
153 all-no:
154
155 # $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
156 # internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
157 # we don't want to bother translators with empty POT files). We assume that
158 # LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
159 # In this case, stamp-po is a nop (i.e. a phony target).
160
161 # stamp-po is a timestamp denoting the last time at which the CATALOGS have
162 # been loosely updated. Its purpose is that when a developer or translator
163 # checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
164 # "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
165 # invocations of "make" will do nothing. This timestamp would not be necessary
166 # if updating the $(CATALOGS) would always touch them; however, the rule for
167 # $(POFILES) has been designed to not touch files that don't need to be
168 # changed.
169 stamp-po: $(srcdir)/$(DOMAIN).pot
170 test ! -f $(srcdir)/$(DOMAIN).pot || \
171 test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
172 @test ! -f $(srcdir)/$(DOMAIN).pot || { \
173 echo "touch stamp-po" && \
174 echo timestamp > stamp-poT && \
175 mv stamp-poT stamp-po; \
176 }
177
178 # Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
179 # otherwise packages like GCC can not be built if only parts of the source
180 # have been downloaded.
181
182 # This target rebuilds $(DOMAIN).pot; it is an expensive operation.
183 # Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
184 $(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
185 if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'P ACKAGE_BUGREPORT'@'; then \
186 msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
187 else \
188 msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
189 fi; \
190 $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
191 --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) \
192 --files-from=$(srcdir)/POTFILES.in \
193 --copyright-holder='$(COPYRIGHT_HOLDER)' \
194 --msgid-bugs-address="$$msgid_bugs_address"
195 test ! -f $(DOMAIN).po || { \
196 if test -f $(srcdir)/$(DOMAIN).pot; then \
197 sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
198 sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
199 if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
200 rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
201 else \
202 rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
203 mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
204 fi; \
205 else \
206 mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
207 fi; \
208 }
209
210 # This rule has no dependencies: we don't need to update $(DOMAIN).pot at
211 # every "make" invocation, only create it when it is missing.
212 # Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
213 $(srcdir)/$(DOMAIN).pot:
214 $(MAKE) $(DOMAIN).pot-update
215
216 # This target rebuilds a PO file if $(DOMAIN).pot has changed.
217 # Note that a PO file is not touched if it doesn't need to be changed.
218 $(POFILES): $(srcdir)/$(DOMAIN).pot
219 @lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
220 if test -f "$(srcdir)/$${lang}.po"; then \
221 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
222 echo "$${cdcmd}$(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot"; \
223 cd $(srcdir) && $(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot; \
224 else \
225 $(MAKE) $${lang}.po-create; \
226 fi
227
228
229 install: install-exec install-data
230 install-exec:
231 install-data: install-data-yes
232 if test "$(PACKAGE)" = "gettext-tools"; then \
233 $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
234 for file in $(DISTFILES.common) Makevars.template; do \
235 $(INSTALL_DATA) $(srcdir)/$$file \
236 $(DESTDIR)$(gettextsrcdir)/$$file; \
237 done; \
238 for file in Makevars; do \
239 rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
240 done; \
241 else \
242 : ; \
243 fi
244 install-data-no: all
245 install-data-yes: all
246 $(mkdir_p) $(DESTDIR)$(datadir)
247 @catalogs='$(CATALOGS)'; \
248 for cat in $$catalogs; do \
249 cat=`basename $$cat`; \
250 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
251 dir=$(localedir)/$$lang/LC_MESSAGES; \
252 $(mkdir_p) $(DESTDIR)$$dir; \
253 if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi ; \
254 $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
255 echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
256 for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
257 if test -n "$$lc"; then \
258 if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/ dev/null) | grep ' -> ' >/dev/null; then \
259 link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
260 mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$l ang/$$lc.old; \
261 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
262 (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
263 for file in *; do \
264 if test -f $$file; then \
265 ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$ $file; \
266 fi; \
267 done); \
268 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
269 else \
270 if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
271 :; \
272 else \
273 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
274 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
275 fi; \
276 fi; \
277 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
278 ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$ lc/$(DOMAIN).mo 2>/dev/null || \
279 ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDI R)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
280 cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DES TDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
281 echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$ $lc/$(DOMAIN).mo"; \
282 fi; \
283 done; \
284 done
285
286 install-strip: install
287
288 installdirs: installdirs-exec installdirs-data
289 installdirs-exec:
290 installdirs-data: installdirs-data-yes
291 if test "$(PACKAGE)" = "gettext-tools"; then \
292 $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
293 else \
294 : ; \
295 fi
296 installdirs-data-no:
297 installdirs-data-yes:
298 $(mkdir_p) $(DESTDIR)$(datadir)
299 @catalogs='$(CATALOGS)'; \
300 for cat in $$catalogs; do \
301 cat=`basename $$cat`; \
302 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
303 dir=$(localedir)/$$lang/LC_MESSAGES; \
304 $(mkdir_p) $(DESTDIR)$$dir; \
305 for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
306 if test -n "$$lc"; then \
307 if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/ dev/null) | grep ' -> ' >/dev/null; then \
308 link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
309 mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$l ang/$$lc.old; \
310 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
311 (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
312 for file in *; do \
313 if test -f $$file; then \
314 ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$ $file; \
315 fi; \
316 done); \
317 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
318 else \
319 if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
320 :; \
321 else \
322 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
323 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
324 fi; \
325 fi; \
326 fi; \
327 done; \
328 done
329
330 # Define this as empty until I found a useful application.
331 installcheck:
332
333 uninstall: uninstall-exec uninstall-data
334 uninstall-exec:
335 uninstall-data: uninstall-data-yes
336 if test "$(PACKAGE)" = "gettext-tools"; then \
337 for file in $(DISTFILES.common) Makevars.template; do \
338 rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
339 done; \
340 else \
341 : ; \
342 fi
343 uninstall-data-no:
344 uninstall-data-yes:
345 catalogs='$(CATALOGS)'; \
346 for cat in $$catalogs; do \
347 cat=`basename $$cat`; \
348 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
349 for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
350 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
351 done; \
352 done
353
354 check: all
355
356 info dvi ps pdf html tags TAGS ctags CTAGS ID:
357
358 mostlyclean:
359 rm -f remove-potcdate.sed
360 rm -f stamp-poT
361 rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
362 rm -fr *.o
363
364 clean: mostlyclean
365
366 distclean: clean
367 rm -f Makefile Makefile.in POTFILES *.mo
368
369 maintainer-clean: distclean
370 @echo "This command is intended for maintainers to use;"
371 @echo "it deletes files that may require special tools to rebuild."
372 rm -f stamp-po $(GMOFILES)
373
374 distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
375 dist distdir:
376 $(MAKE) update-po
377 @$(MAKE) dist2
378 # This is a separate target because 'update-po' must be executed before.
379 dist2: stamp-po $(DISTFILES)
380 dists="$(DISTFILES)"; \
381 if test "$(PACKAGE)" = "gettext-tools"; then \
382 dists="$$dists Makevars.template"; \
383 fi; \
384 if test -f $(srcdir)/$(DOMAIN).pot; then \
385 dists="$$dists $(DOMAIN).pot stamp-po"; \
386 fi; \
387 if test -f $(srcdir)/ChangeLog; then \
388 dists="$$dists ChangeLog"; \
389 fi; \
390 for i in 0 1 2 3 4 5 6 7 8 9; do \
391 if test -f $(srcdir)/ChangeLog.$$i; then \
392 dists="$$dists ChangeLog.$$i"; \
393 fi; \
394 done; \
395 if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
396 for file in $$dists; do \
397 if test -f $$file; then \
398 cp -p $$file $(distdir) || exit 1; \
399 else \
400 cp -p $(srcdir)/$$file $(distdir) || exit 1; \
401 fi; \
402 done
403
404 update-po: Makefile
405 $(MAKE) $(DOMAIN).pot-update
406 test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
407 $(MAKE) update-gmo
408
409 # General rule for creating PO files.
410
411 .nop.po-create:
412 @lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
413 echo "File $$lang.po does not exist. If you are a translator, you can cr eate it through 'msginit'." 1>&2; \
414 exit 1
415
416 # General rule for updating PO files.
417
418 .nop.po-update:
419 @lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
420 if test "$(PACKAGE)" = "gettext-tools"; then PATH=`pwd`/../src:$$PATH; f i; \
421 tmpdir=`pwd`; \
422 echo "$$lang:"; \
423 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
424 echo "$${cdcmd}$(MSGMERGE) $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
425 cd $(srcdir); \
426 if $(MSGMERGE) $$lang.po $(DOMAIN).pot -o $$tmpdir/$$lang.new.po; then \
427 if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
428 rm -f $$tmpdir/$$lang.new.po; \
429 else \
430 if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
431 :; \
432 else \
433 echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.n ew.po to $$lang.po" 1>&2; \
434 exit 1; \
435 fi; \
436 fi; \
437 else \
438 echo "msgmerge for $$lang.po failed!" 1>&2; \
439 rm -f $$tmpdir/$$lang.new.po; \
440 fi
441
442 $(DUMMYPOFILES):
443
444 update-gmo: Makefile $(GMOFILES)
445 @:
446
447 Makefile: Makefile.in.in Makevars $(top_builddir)/config.status POTFILES.in LING UAS
448 cd $(top_builddir) \
449 && $(SHELL) ./config.status $(subdir)/$@.in po-directories
450
451 force:
452
453 # Tell versions [3.59,3.63) of GNU make not to export all variables.
454 # Otherwise a system limit (for SysV at least) may be exceeded.
455 .NOEXPORT:
456 # Special Makefile rules for English message catalogs with quotation marks.
457
458 DISTFILES.common.extra1 = quot.sed boldquot.sed en@quot.header en@boldquot.heade r insert-header.sin Rules-quot
459
460 .SUFFIXES: .insert-header .po-update-en
461
462 en@quot.po-create:
463 $(MAKE) en@quot.po-update
464 en@boldquot.po-create:
465 $(MAKE) en@boldquot.po-update
466
467 en@quot.po-update: en@quot.po-update-en
468 en@boldquot.po-update: en@boldquot.po-update-en
469
470 .insert-header.po-update-en:
471 @lang=`echo $@ | sed -e 's/\.po-update-en$$//'`; \
472 if test "$(PACKAGE)" = "gettext"; then PATH=`pwd`/../src:$$PATH; GETTEXT LIBDIR=`cd $(top_srcdir)/src && pwd`; export GETTEXTLIBDIR; fi; \
473 tmpdir=`pwd`; \
474 echo "$$lang:"; \
475 ll=`echo $$lang | sed -e 's/@.*//'`; \
476 LC_ALL=C; export LC_ALL; \
477 cd $(srcdir); \
478 if $(MSGINIT) -i $(DOMAIN).pot --no-translator -l $$ll -o - 2>/dev/null | sed -f $$tmpdir/$$lang.insert-header | $(MSGCONV) -t UTF-8 | $(MSGFILTER) sed -f `echo $$lang | sed -e 's/.*@//'`.sed 2>/dev/null > $$tmpdir/$$lang.new.po; th en \
479 if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
480 rm -f $$tmpdir/$$lang.new.po; \
481 else \
482 if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
483 :; \
484 else \
485 echo "creation of $$lang.po failed: cannot move $$tmpdir/$$lang.ne w.po to $$lang.po" 1>&2; \
486 exit 1; \
487 fi; \
488 fi; \
489 else \
490 echo "creation of $$lang.po failed!" 1>&2; \
491 rm -f $$tmpdir/$$lang.new.po; \
492 fi
493
494 en@quot.insert-header: insert-header.sin
495 sed -e '/^#/d' -e 's/HEADER/en@quot.header/g' $(srcdir)/insert-header.si n > en@quot.insert-header
496
497 en@boldquot.insert-header: insert-header.sin
498 sed -e '/^#/d' -e 's/HEADER/en@boldquot.header/g' $(srcdir)/insert-heade r.sin > en@boldquot.insert-header
499
500 mostlyclean: mostlyclean-quot
501 mostlyclean-quot:
502 rm -f *.insert-header
OLDNEW
« no previous file with comments | « bison/src/bison/2.4.1/bison-2.4.1/resource/gnu.ico ('k') | bison/src/bison/2.4.1/bison-2.4.1/runtime-po/Makefile.in » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698